#
# spec file for package python-urlgrabber (Version 3.1.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           python-urlgrabber
BuildRequires:  python python-devel
Version:        3.1.0
Release:        180.1
Summary:        A high-level cross-protocol url-grabber
Group:          Development/Libraries/Python
License:        LGPL v2.1 or later
Url:            http://linux.duke.edu/projects/urlgrabber/
Source:         urlgrabber-%{version}.tar.bz2
Patch:          %{name}-2.9.9.patch
Patch1:         %{name}-3.1.0.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires

%description
A high-level cross-protocol url-grabber for python supporting HTTP, FTP
and file locations.  Features include keepalive, byte ranges,
throttling, authentication, proxies and more.



Authors:
--------
    Michael D. Stenner <mstenner@linux.duke.edu>
    Ryan Tomayko <rtomayko@naeblis.cx>

%prep
%setup -q -n urlgrabber-%{version}
%patch
%patch1

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README TODO
%{_bindir}/urlgrabber
%{py_sitedir}/urlgrabber
%if %{suse_version} > 1010
%{py_sitedir}/*.egg-info
%endif

%changelog
* Fri Sep 26 2008 cthiel@suse.de
- add python to BuildRequires to fix build
* Tue Feb 19 2008 cthiel@suse.de
- fix url parsing error in grabber.py (bnc #362937)
* Mon Oct  2 2006 cthiel@suse.de
- fix build on older distributions
* Sun Oct  1 2006 cthiel@suse.de
- update to version 3.1.0
  * various fixes
* Thu Sep 21 2006 cthiel@suse.de
- fix build with python 2.5
* Fri Aug  4 2006 cthiel@suse.de
- update to version 2.9.10
  * Make keepalive, byteranges, etc. work with https.
  * Fixed a minor error reporting bug due to changes in python 2.4.
  * Catch read errors after the file has been opened.
- removed obsolete urlgrabber-read-error.patch
* Thu May 25 2006 cthiel@suse.de
- update to version 2.9.9
  * Added tests to make sure that the "quote" option works as advertised
  * Significant improvement to URL parsing.  Parsing is now broken out into
    a separate class (URLParser).  It will now (by default) guess whether a
    URL is already quoted, properly handle local files and URLs on windows,
    and display un-quoted versions of the filename in the progress meter.
  * Added a reget progress bar patch from Menno, and fixed the annoying next
    _IndexError bug.
- added urlgrabber-read-error.patch (from Fedora)
- removed python-urlgrabber-2.9.7-reget.patch (included upstream)
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 dmueller@suse.de
- don't build as root
* Wed Oct 26 2005 cthiel@suse.de
- update to version 2.9.7
* Tue Sep 13 2005 cthiel@suse.de
- specfile cleanup
* Sun Aug 14 2005 cthiel@suse.de
- initial package (version 2.9.6)
